# Poco::Net

# class HTTPServerSession

Library: Net
Package: HTTPServer
Header: Poco/Net/HTTPServerSession.h

## Description

This class handles the server side of a HTTP session. It is used internally by HTTPServer.

## Inheritance

Direct Base Classes: HTTPSession

All Base Classes: HTTPSession

## Member Summary

Member Functions: canKeepAlive, clientAddress, hasMoreRequests, serverAddress

Inherited Functions: abort, attachSessionData, attachSocket, buffered, clearException, close, connect, connected, detachSocket, drainBuffer, get, getConnectTimeout, getKeepAlive, getReceiveTimeout, getSendTimeout, getTimeout, networkException, peek, read, receive, refill, requestTrailer, responseTrailer, sessionData, setConnectTimeout, setException, setKeepAlive, setReceiveTimeout, setSendTimeout, setTimeout, socket, write

## Constructors

### HTTPServerSession

HTTPServerSession(
const StreamSocket & socket,
HTTPServerParams::Ptr pParams
);

Creates the HTTPServerSession.

## Destructor

### ~HTTPServerSession

virtual ~HTTPServerSession();

Destroys the HTTPServerSession.

## Member Functions

### canKeepAlive

bool canKeepAlive() const;

Returns true if the session can be kept alive.

### clientAddress

SocketAddress clientAddress();

Returns the client's address.

### hasMoreRequests

bool hasMoreRequests();

Returns true if there are requests available.

### serverAddress

SocketAddress serverAddress();

Returns the server's address.